<?php
	@session_start();

	// import
	require_once "config.php";
	require_once "defines.php";
	require_once "functions.php";

	// secure
	if (! VerifyAccess())
		die('No access!');

	require_once "languages.inc.php";

	// parameters
	$targetArea = 'textTarget';
	$hideArea   = 'hideArea';
	$teaser	    = 'teaser';

	extract($_GET, EXTR_OVERWRITE);
?>
<!DOCTYPE html>

<html>
<head>
	<title>DynPG Webeditor</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />

	<link rel="stylesheet" type="text/css" href="css/tool.css">

	<script language="javascript" type="text/javascript">
		// get container from window.opener
		textTarget		= window.opener.document.getElementById('<?php echo $targetArea; ?>');
		hideAreaTarget	= window.opener.document.getElementById('<?php echo $hideArea; ?>');
		teaserTarget	= window.opener.document.getElementById('<?php echo $teaser; ?>');

		// create some additional settings for the tinymce instance
		var settings = new Array();
		settings['setupcontent_callback'] = 'setupContent';
		settings['theme_advanced_toolbar_location'] = 'top';

		// the corresponding callback function to read the content from
		// the opener containers
		function setupContent(editor_id, body, doc) {
			var inst = tinyMCE.activeEditor;
			var content = '';

			var	tinyMCEInstanceValue = '';

			if (hideAreaTarget && hideAreaTarget.value != '')
				content = hideAreaTarget.value;

			if (textTarget && textTarget.value != '')
				content = textTarget.value;

			// Get content
			inst.execCommand('mceSetContent', false, content);
		}

		/**
		 *
		 * @access public
		 * @return void
		 **/
		function insertText() {
			if (textTarget)
				textTarget.value = tinyMCE.activeEditor.getContent();

			if (hideAreaTarget)
				hideAreaTarget.style.display = 'none';

			if (teaserTarget) {
				teaserTarget.style.display = 'block';
				teaserTarget.innerHTML = textTarget.value;
			}

			window.opener.focus();
			window.close();
		}
	</script>

    <script src="js/jquery.js" type="text/javascript"></script>

    <?php require 'tinymce.inc.php'; ?>

</head>
<body style="background-color: #00498c;">

	<form action="./" method="post" style="margin: 0; padding: 0;">
		<textarea id="tinymce" name="tinymce" style="width: 100%; height: 570px;"></textarea>
		<p align="left" style="margin: 1px 0 0 0; float: left;">
			<input type="button" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_popup_abort_button"]; ?>" class="ButtonStyleWhite" onclick="window.close();">
		</p>
		<p align="right" style="margin: 1px 0 0 0;">
			<input type="button" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_popup_accept_button"]; ?>" class="ButtonStyleWhite" onclick="insertText();">
		</p>
	</form>

</body>
</html>